**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory
cd "${project}/Data"

*Load Data
use AfB_RD.dta

*Switch to Results folder
cd "${project}/Results"

******************************************************************
******** Figure 5 - Ethnic Affiliation, RD "First Stage" ********
******************************************************************

preserve

*** Collapse to cell-level to connstruct share-level match share

collapse (sum) match obs (mean) near_dist near_dist_sign, by(pair_fe gridcellid)
gen frac_seg = match/obs
replace near_dist_sign = near_dist_sign/1000
replace near_dist = near_dist/1000

*** Generate RD Figure

binscatter frac_seg near_dist_sign if near_dist<150, rd(0) ytitle(Share Respondents Belonging to the Pair's SL Society) xtitle(Distance to Border (km)) xlabel(-150 -100 -50 0 50 100 150)
graph export "Figure5.pdf",replace

restore
