**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory
cd "${project}/Data"

use placebo_rd.dta

*Switch to Results folder
cd "${project}/Results"

*************************
******** Table 4 ********
*************************


*Panel A: Jurisdictional Hierarchy Placebo
reg ln_sum_deadly high_v33 near_dist_v33 near_dist_v33_int i.countrycode i.pair_fe if include_v33_rd==1 & near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(high_v33)
reg ln_sum_fatali high_v33 near_dist_v33 near_dist_v33_int i.countrycode i.pair_fe if include_v33_rd==1 & near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(high_v33)
reg ln_conflictm high_v33 near_dist_v33 near_dist_v33_int i.countrycode i.pair_fe if include_v33_rd==1 & near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(high_v33)

*Panel B: Settlement Complexity Placebo
reg ln_sum_deadly high_v30 near_dist_v30 near_dist_v30_int i.countrycode i.pair_fe if include_v30_rd==1 & near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(high_v30)
reg ln_sum_fatali high_v30 near_dist_v30 near_dist_v30_int i.countrycode i.pair_fe if include_v30_rd==1 & near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(high_v30)
reg ln_conflictm high_v30 near_dist_v30 near_dist_v30_int i.countrycode i.pair_fe if include_v30_rd==1 & near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(high_v30)

*Panel C: First PC, Jurisd. Hierarchy and Settlement Complexity
reg ln_sum_deadly pc_v30i_v33i_dummy near_dist_i near_dist_i_int i.countrycode i.pair_fe if near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(pc_v30i_v33i_dummy)
reg ln_sum_fatali pc_v30i_v33i_dummy near_dist_i near_dist_i_int i.countrycode i.pair_fe if near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(pc_v30i_v33i_dummy)
reg ln_conflictm pc_v30i_v33i_dummy near_dist_i near_dist_i_int i.countrycode i.pair_fe if near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(pc_v30i_v33i_dummy)

*Panel D: First PC, Historical Vars.
reg ln_sum_deadly pc_hist_pat_dummy near_dist_hist_pat near_dist_hist_pat_int i.countrycode i.pair_fe if near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(pc_hist_pat_dummy)
reg ln_sum_fatali pc_hist_pat_dummy near_dist_hist_pat near_dist_hist_pat_int i.countrycode i.pair_fe if near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(pc_hist_pat_dummy)
reg ln_conflictm pc_hist_pat_dummy near_dist_hist_pat near_dist_hist_pat_int i.countrycode i.pair_fe if near_dist<60, cluster(NAME)
outreg2 using Table4.xls, keep(pc_hist_pat_dummy)






