**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory
cd "${project}/Data"

*Load Data
use AfB_RD.dta

*Switch to Results folder
cd "${project}/Results"

******************************************************************
******** Figure A2 - Ethnic Affiliation, RD "First Stage" ********
******************************************************************

preserve
keep if round==3
collapse (sum) match obs (mean) near_dist_sign near_dist_sign_seg countrycode near_dist (firstnm) NAME SL, by(pair_fe gridcellid)
gen frac_seg = match/obs
replace near_dist_sign = near_dist_sign/1000
binscatter frac_seg near_dist_sign if near_dist<150000, rd(0) ytitle(Share Respondents Belonging to the Pair's SL Society) xtitle(Distance to Border (km)) xlabel(-150 -100 -50 0 50 100 150)
graph export "FigureA2_Afb_Round3.pdf", replace
restore

preserve
keep if round==4
collapse (sum) match obs (mean) near_dist_sign near_dist_sign_seg countrycode near_dist ln_sum_deadl ln_sum_fatal ln_conflictfm (firstnm) NAME SL, by(pair_fe gridcellid)
gen frac_seg = match/obs
replace near_dist_sign = near_dist_sign/1000
replace near_dist = near_dist/1000
binscatter frac_seg near_dist_sign if near_dist<150, rd(0) ytitle(Share Respondents Belonging to the Pair's SL Society) xtitle(Distance to Border (km)) xlabel(-150 -100 -50 0 50 100 150) 
graph export "FigureA2_Afb_Round4.pdf", replace
restore

preserve
keep if round==5
collapse (sum) match obs (mean) near_dist_sign near_dist_sign_seg countrycode near_dist ln_sum_deadl ln_sum_fatal ln_conflictfm (firstnm) NAME SL, by(pair_fe gridcellid)
gen frac_seg = match/obs
replace near_dist_sign = near_dist_sign/1000
replace near_dist = near_dist/1000
binscatter frac_seg near_dist_sign if near_dist<150, rd(0) ytitle(Share Respondents Belonging to the Pair's SL Society) xtitle(Distance to Border (km)) xlabel(-150 -100 -50 0 50 100 150) 
graph export "FigureA2_Afb_Round5.pdf", replace
restore


preserve
keep if round==6
collapse (sum) match obs (mean) near_dist_sign near_dist_sign_seg countrycode near_dist ln_sum_deadl ln_sum_fatal ln_conflictfm (firstnm) NAME SL, by(pair_fe gridcellid)
gen frac_seg = match/obs
replace near_dist_sign = near_dist_sign/1000
replace near_dist = near_dist/1000
binscatter frac_seg near_dist_sign if near_dist<150, rd(0) ytitle(Share Respondents Belonging to the Pair's SL Society) xtitle(Distance to Border (km)) xlabel(-150 -100 -50 0 50 100 150) 
graph export "FigureA2_Afb_Round6.pdf", replace
restore

