**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

*install program to compute gini coefficient
ssc install ginidesc, replace
** Set directory
cd "${project}/Data"

local fe = "i.ccode"
local geo = "ln_shape_area ln_dist_kilometers meanalt SI abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"

use master_SL.dta

*Switch to Results folder
cd "${project}/Results"

****************************************
******** Table A21 - Inequality ********
****************************************

* ethnicity-level SD night lights

reg lstd_norm10 SL `fe',r
outreg2 using TableA21.xls, stats(coef se) keep(SL)
reg lstd_norm10 SL `fe' `geo' `hist',r
outreg2 using TableA21.xls, stats(coef se) keep(SL)

* Gini from DHS

cd "${project}/Data"
clear all
use DHS.dta

encode NAME, gen(name_code)                    

gen gini_s = .     
levels name_code, local(levels) 
foreach i of local levels { 
	ineqdeco wealth  if name_code == `i'
      replace gini_s = $S_gini if name_code == `i' 
} 
*

collapse (mean) gini* SL ccode `geo' `hist', by(name_code NAME)

cd "${project}/Results"
reg gini_s SL `fe' , r
outreg2 using TableA21.xls, stats(coef se) keep(SL)
reg gini_s SL `fe' `geo' `hist', r
outreg2 using TableA21.xls, stats(coef se) keep(SL)

