**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory

cd "${project}/Data"
use rainfall_panel.dta
tsset name_code month_count

local fe = "i.ccode"
local geo = "ln_shape_area ln_dist_kilometers meanalt simean abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"

*Month fixed effects
local baseline_controls = "i.newid"

*Switch to Results folder
cd "${project}/Results"

************************************************
****** Table A12 - Rainfall Heterogeneity ******
************************************************

reg ln_conflict_fatal rain_deviation `baseline_controls' `fe' `geo' `hist' L(1/6).ln_conflict_fatal if SL!=., cluster(name_code) 
outreg2 using TableA12.xls, keep(rain_deviation rain_deviation_SL SL) 
reg ln_conflict_fatal rain_deviation rain_deviation_SL SL `baseline_controls' `fe' `geo' `hist' L(1/6).ln_conflict_fatal if SL!=., cluster(name_code) 
outreg2 using TableA12.xls, keep(rain_deviation rain_deviation_SL SL) 

reg ln_fatalities rain_deviation `baseline_controls' `fe' `geo' `hist' L(1/6).ln_fatalities if SL!=., cluster(name_code) 
outreg2 using TableA12.xls, keep(rain_deviation rain_deviation_SL SL) 
reg ln_fatalities rain_deviation rain_deviation_SL SL `baseline_controls' `fe' `geo' `hist' L(1/6).ln_fatalities if SL!=., cluster(name_code) 
outreg2 using TableA12.xls, keep(rain_deviation rain_deviation_SL SL) 

