**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory

cd "${project}/Data"

*Load Data
use EPR.dta

local fe = "i.ccode"
local geo = "ln_shape_area ln_dist_kilometers meanalt SI abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"

*years with any exclusion
gen excluded = discrimination + powerless + self_exclusion

*share years since independence
gen share_excluded = excluded/years_since_indep
gen share_discrimination = discrimination/years_since_indep
gen share_powerless = powerless/years_since_indep

*Switch to Results folder
cd "${project}/Results"

********************************************************
******** Table A23 - Representation in EPR Data ********
********************************************************

reg share_excluded SL `fe' , cluster(NAME)
outreg2 using TableA23.xls, keep(SL)
reg share_excluded SL `fe' `geo' `hist', cluster(NAME)
outreg2 using TableA23.xls, keep(SL)
reg share_discrimination SL `fe' , cluster(NAME)
outreg2 using TableA23.xls, keep(SL)
reg share_discrimination SL `fe' `geo' `hist', cluster(NAME)
outreg2 using TableA23.xls, keep(SL)
reg share_powerless SL `fe' , cluster(NAME)
outreg2 using TableA23.xls, keep(SL)
reg share_powerless SL `fe' `geo' `hist', cluster(NAME)
outreg2 using TableA23.xls, keep(SL)

