**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

**** This .do file replicates Appendix Table A24, which uses the FRT data. 

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory
cd "${project}/Data"

use FRT.dta

local fe = "i.ccode"
local geo = "ln_shape_area ln_dist_kilometers meanalt SI abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"

gen popshare2 = popshare^2

*Switch to Results folder
cd "${project}/Results"

**********************************************************
******** Table A24 - Representation with FRT data ********
**********************************************************

reg govshare SL popshare popshare2 `fe', r
outreg2 using TableA24.xls, keep(SL popshare popshare2)
reg govshare SL popshare popshare2 `fe' `geo', r
outreg2 using TableA24.xls, keep(SL popshare popshare2)
reg govshare SL popshare popshare2 `fe' `geo' `hist', r
outreg2 using TableA24.xls, keep(SL popshare popshare2)

reg topgovshare SL popshare popshare2 `fe', r
outreg2 using TableA24.xls, keep(SL popshare popshare2)
reg topgovshare SL popshare popshare2 `fe' `geo', r
outreg2 using TableA24.xls, keep(SL popshare popshare2)
reg topgovshare SL popshare popshare2 `fe' `geo' `hist', r
outreg2 using TableA24.xls, keep(SL popshare popshare2)

