
**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

**** This .do file replicates all Appendix table that rely Afrobarometer data. 

clear all
set more off
set matsize 10000
set maxvar 12000

cd "${project}/Data"
use AfB_3_4_5_6.dta
** .do file for cleaning raw afrobarometer data available upon request

local simple = "i.ccode age age2 male urbanr"
local geo = "ln_shape_area ln_dist_kilometers meanalt SI abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"

cd "${project}/Results"

****************************
***** Table A18: Trust *****
*****************************

reg doth SL `simple' `geo' `hist' i.round, cluster(mname_code)
outreg2 using TableA18.xls, keep(SL)
reg dcntry SL `simple' `geo' `hist' i.round, cluster(mname_code)
outreg2 using TableA18.xls, keep(SL)
reg dncoeth SL `simple' `geo' `hist', cluster(mname_code)
outreg2 using TableA18.xls, keep(SL)



***********************************
***** Table A20: Public Goods *****
***********************************

** Generating first PC and average
pca electricity water sewage school clinic police 
predict pg_index
gen avg  = (electricity + water + sewage + school + clinic + police)/6
local public_goods = "electricity water sewage school clinic police avg pg_index"

foreach var in `public_goods' {
reg `var' SL `simple' `hist' `geo'  i.round, cluster(mname_code)
outreg2 using TableA20.xls, keep(SL)
}
*

**********************************
***** Table A22: Remittances *****
**********************************

reg any_remit SL `simple' `hist' `geo'  i.round, cluster(mname_code)
outreg2 using TableA22.xls, keep(SL)
logit any_remit SL `simple' `hist' `geo'  i.round, cluster(mname_code)
outreg2 using TableA22.xls, keep(SL)
