**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory

cd "${project}/Data"

use DHS.dta

encode DHS_wave, gen(cntry_round_code)
keep if age<=60 & age>=20

local fe = "i.ccode"
local geo = "ln_shape_area ln_dist_kilometers meanalt SI abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"

*Switch to Results folder
cd "${project}/Results"

***************************************************
******** Table A19 -- Wealth, DHS + Lights ********
***************************************************

* DHS wealth
reghdfe wealth SL  age age_squared, cluster(NAME) absorb(cntry_round_code)
outreg2 using TableA19.xls, keep(SL)
reghdfe wealth SL age age_squared `geo' `hist' , cluster(NAME) absorb(cntry_round_code)
outreg2 using TableA19.xls, keep(SL)

* DHS education - men 
reghdfe eduyears SL age age_squared  , cluster(NAME) absorb(cntry_round_code)
outreg2 using TableA19.xls, keep(SL)
reghdfe eduyears SL age age_squared `geo' `hist' , cluster(NAME) absorb(cntry_round_code)
outreg2 using TableA19.xls, keep(SL)

* DHS education - women
reghdfe eduyears_woman SL age_woman age_woman_squared  , cluster(NAME) absorb(cntry_round_code)
outreg2 using TableA19.xls, keep(SL)
reghdfe eduyears_woman SL age_woman age_woman_squared `geo' `hist' , cluster(NAME) absorb(cntry_round_code)
outreg2 using TableA19.xls, keep(SL)

*Switch to Data folder
cd "${project}/Data"

clear all
use master_SL.dta

*Switch to Results folder
cd "${project}/Results"

reg llight10mea SL `fe',r
outreg2 using TableA19.xls, stats(coef se) keep(SL)
reg llight10mea SL `fe' `geo' `hist',r
outreg2 using TableA19.xls, stats(coef se) keep(SL)
