**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

cd "${project}/Data"
use SL_proxy_sample.dta

********************************************************
******** Define variables and run balance tests ********
********************************************************

cd "${project}/Results"
preserve
keep if ssa==1
replace v33 = . if v33==0
replace v30 = . if v30==0
gen matrilocal = 0
replace matrilocal = 1 if v12==5
replace matrilocal = . if v12==0
gen patrilocal = 0
replace patrilocal = 1 if v12==8
replace patrilocal = . if v12==0
gen matrilineal = 0
replace matrilineal = 1 if v43==3
replace matrilineal = . if v43==0
gen bride_price = 0
replace bride_price = 1 if v6==1
replace bride_price = . if v6==0
gen ag_intensity = v28
replace ag_intensity = . if v28==0
gen sex_diff_ag = v54
replace sex_diff_ag = . if v54==0
replace sex_diff_ag = . if v54==9
gen loc_elec = 0
replace loc_elec = 1 if v72==6
replace loc_elec = . if v72==0
gen hist_slave = 0
replace hist_slave = 1 if v70>1
replace hist_slave = . if v70==0
gen active_god = 0
replace active_god = 1 if v34>2
replace active_god = . if v34==0
reg ln_pop,r
reg ln_pop sample,r
outreg2 using TableA1.xls
reg v33,r
reg v33 sample,r
outreg2 using TableA1.xls
reg v30,r
reg v30 sample,r
outreg2 using TableA1.xls
reg patrilineal,r
reg patrilineal sample,r
outreg2 using TableA1.xls
reg matrilineal,r
reg matrilineal sample,r
outreg2 using TableA1.xls
reg patrilocal,r
reg patrilocal sample,r
outreg2 using TableA1.xls
reg matrilocal,r
reg matrilocal sample,r
outreg2 using TableA1.xls
reg hist_slave,r
reg hist_slave sample,r
outreg2 using TableA1.xls
reg v1,r
reg v1 sample,r
outreg2 using TableA1.xls
reg v2,r
reg v2 sample,r
outreg2 using TableA1.xls
reg v3,r
reg v3 sample,r
outreg2 using TableA1.xls
reg v4,r
reg v4 sample,r
outreg2 using TableA1.xls
reg v5,r
reg v5 sample,r
outreg2 using TableA1.xls
reg ag_intensity,r
reg ag_intensity sample,r
outreg2 using TableA1.xls
reg sex_diff_ag,r
reg sex_diff_ag sample,r
outreg2 using TableA1.xls
reg loc_elec,r
reg loc_elec sample,r
outreg2 using TableA1.xls
reg active_god,r
reg active_god sample,r
outreg2 using TableA1.xls
reg LON,r
reg LON sample,r
outreg2 using TableA1.xls
reg LAT,r
reg LAT sample,r
outreg2 using TableA1.xls
reg abslat,r
reg abslat sample,r
outreg2 using TableA1.xls
restore
