**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory
cd "${project}/Data"

*Load Data
use spillovers.dta
merge 1:1 NAME using master_SL.dta
keep if _merge==3
drop _merge

local all_conflict = "ln_conflict_fatal log_fatalities ln_cfatm"
local civil_conflict = "ln_civf ln_civfat ln_civmf"
local non_civil_conflict = "ln_noncivf ln_noncivfat ln_noncivmf"
local within_group_conflict = "ln_ethf ln_ethfat ln_ethmf"

local fe = "i.ccode"
local geo = "ln_shape_area ln_dist_kilometers meanalt SI abs_lat lon split10pc sc_mean"
local hist = "v33 v30 patrilineal"


*Switch to Results folder
cd "${project}/Results"

**********************************************
******** Table A2 - Spillover Effects ********
**********************************************


foreach var in `all_conflict' {
reg `var' SL SL_SPILL not_SL_SPILL `fe',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo' `hist',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
}
*
foreach var in `civil_conflict' {
reg `var' SL SL_SPILL not_SL_SPILL `fe',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo' `hist',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
}
*
foreach var in `non_civil_conflict' {
reg `var' SL SL_SPILL not_SL_SPILL `fe',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo' `hist',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
}
*
foreach var in `within_group_conflict' {
reg `var' SL SL_SPILL not_SL_SPILL `fe',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
reg `var' SL SL_SPILL not_SL_SPILL `fe' `geo' `hist',r
outreg2 using TableA2.xls,  keep(SL SL_SPILL not_SL_SPILL)
}
*
