/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
"Social Structure and Conflict" 
by Jacob Moscona, Nathan Nunn, James A. Robinson


** Before running, set working directory on line 10 

*******************************************************************************/
*Set Working Directory:
global project ".../Replication_Files"
*******************************************************************************/

clear all
set more off
set matsize 10000
set maxvar 12000

log using "Social_Structure_And_Conflict_Replication.log", replace

*****************
*** Main text ***
*****************

do "${project}/Programs/Paper/Tables_1_2_5_6_Figure_3.do" 	// Tables 1, 2, 5, 6 and Figure 3
do "${project}/Programs/Paper/Table_3_Figure_6.do" 	// Table 3 and Figure 6
do "${project}/Programs/Paper/Table4.do" 	// Table 4
do "${project}/Programs/Paper/Figure5.do" 	// Figure 5
do "${project}/Programs/Paper/Table7.do" 	// Table7


*******************************
*** Supplementary Materials ***
*******************************

do "${project}/Programs/Supplementary/Supplementary_Ethnicity_Level.do" // Tables A3, A5, A6, A7, A8, A9, A10, A11, A12, A17
do "${project}/Programs/Supplementary/Supplementary_Cell_Level.do" // Tables A14, A15, A16, Figure A3
do "${project}/Programs/Supplementary/Supplementary_Afrobarometer.do" // Tables A18, A20, A22
do "${project}/Programs/Supplementary/balance_EA.do" // Table A1
do "${project}/Programs/Supplementary/spillovers.do" // Table A2
do "${project}/Programs/Supplementary/SL_Proxy.do" // Table A4, Figure A1
do "${project}/Programs/Supplementary/Rainfall.do" // Table A12
do "${project}/Programs/Supplementary/FuzzyRD.do" // Table A13
do "${project}/Programs/Supplementary/Wealth.do" // Table A19
do "${project}/Programs/Supplementary/Inequality.do" // Table A21
do "${project}/Programs/Supplementary/Representation_EPR.do" // Table A23
do "${project}/Programs/Supplementary/Representation_FrancoisRainerTrebbi.do" // Table A24
do "${project}/Programs/Supplementary/AfB_RD_by_round.do" // Figure A2


log close
