**************************************************************
************ Preliminaries (Version 07/21/2019) **************
**************************************************************

clear all
set more off
set matsize 10000
set maxvar 12000

** Set directory
cd "${project}/Data"

*Load Data
use AfB_RD.dta

*Switch to Results folder
cd "${project}/Results"

**********************************************
******** Table A13 - Fuzzy RD Results ********
**********************************************

preserve

*** Collapse to cell-level to connstruct share-level match share

collapse (sum) match obs (mean) SL near_dist near_dist_sign near_dist_sign_seg countrycode ln_sum_deadly ln_sum_fatali ln_conflictfm (firstnm) NAME, by(pair_fe gridcellid)
gen frac_seg = match/obs
replace near_dist_sign = near_dist_sign/1000
replace near_dist = near_dist/1000

*** Compute fuzzy RD results, along with baseline on restricted sample

reg ln_sum_deadly SL i.pair_fe near_dist_sign near_dist_sign_seg i.countrycode  if near_dist<60, cluster(NAME)
outreg2 using TableA13.xls, stats(coef se) keep(SL)
ivregress 2sls ln_sum_deadly (frac_seg = SL) i.pair_fe near_dist_sign near_dist_sign_seg i.countrycode  if near_dist<60, cluster(NAME)
outreg2 using TableA13.xls, stats(coef se) keep(frac_seg)
reg ln_sum_fatali SL i.pair_fe near_dist_sign near_dist_sign_seg i.countrycode  if near_dist<60, cluster(NAME)
outreg2 using TableA13.xls, stats(coef se) keep(SL)
ivregress 2sls ln_sum_fatali (frac_seg = SL) i.pair_fe near_dist_sign near_dist_sign_seg i.countrycode  if near_dist<60, cluster(NAME)
outreg2 using TableA13.xls, stats(coef se) keep(frac_seg)
reg ln_conflictfm SL i.pair_fe near_dist_sign near_dist_sign_seg i.countrycode  if near_dist<60, cluster(NAME)
outreg2 using TableA13.xls, stats(coef se) keep(SL)
ivregress 2sls ln_conflictfm (frac_seg = SL) i.pair_fe near_dist_sign near_dist_sign_seg i.countrycode  if near_dist<60, cluster(NAME)
outreg2 using TableA13.xls, stats(coef se) keep(frac_seg)

restore
